Body
Refresh Wallet
Refresh wallet API can be used to get the wallet with updated balance from wallet provider. This API is applicable only for linked wallets.
Request
Response
API Endpoints
Sandbox Link
POST
https://api.sandbox.juspay.io/wallets/{wallet_id}
Production Link
POST
https://api.juspay.io/wallets/{wallet_id}
Authorization Header
Basic Auth
*
Base64 Encoded Username:Password
Mandatory
Consists of two parts.
Username: API Key obtained from Juspay dashboard
Password: Empty string
Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
Parameters
command
*
string
Required
Send it as refresh to get the updated balances.
200 : Success
Response Body
id
*
string
Required
Example : wlt_q23xzki3pazgtezo
object
*
string
Required
Example : wallet_account
wallet
*
string
Required
Example : MOBIKWIK
token
string
Example : tok_winysteev9eftrwcv6me
current_balance
integer
linked
*
string
Required
example : true
last_refreshed
string
Example : 2016-08-02T08:07:52+0000

